<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.preferences.preferenceWindow</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1preferences_1_1preferenceWindow.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1preferences_1_1preferenceWindow-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.preferences.preferenceWindow</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.preferences.preferenceWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1preferences_1_1preferenceWindow__inherit__graph.png" border="0" usemap="#src_8preferences_8preferenceWindow_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8preferences_8preferenceWindow_inherit__map" id="src_8preferences_8preferenceWindow_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,180,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="59,5,127,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.preferences.preferenceWindow:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1preferences_1_1preferenceWindow__coll__graph.png" border="0" usemap="#src_8preferences_8preferenceWindow_coll__map" alt="Collaboration graph"/></div>
<map name="src_8preferences_8preferenceWindow_coll__map" id="src_8preferences_8preferenceWindow_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,180,121"/>
<area shape="rect" href="classQDialog.html" title=" " alt="" coords="59,5,127,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a9de79a74e797b66e0b8bb5b9c9623ca0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#a9de79a74e797b66e0b8bb5b9c9623ca0">__init__</a> (self, parent=None)</td></tr>
<tr class="memdesc:a9de79a74e797b66e0b8bb5b9c9623ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1preferences_1_1preferenceWindow.html#a9de79a74e797b66e0b8bb5b9c9623ca0">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9de79a74e797b66e0b8bb5b9c9623ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94ae27a9793076be2f4295cb3fff8769"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#a94ae27a9793076be2f4295cb3fff8769">enableDelay</a> (self, state)</td></tr>
<tr class="memdesc:a94ae27a9793076be2f4295cb3fff8769"><td class="mdescLeft">&#160;</td><td class="mdescRight">active ou désactive le glisseur pour modifier le délai de rafraichissement  <a href="classsrc_1_1preferences_1_1preferenceWindow.html#a94ae27a9793076be2f4295cb3fff8769">Plus de détails...</a><br /></td></tr>
<tr class="separator:a94ae27a9793076be2f4295cb3fff8769"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba0bac746ee2186d3adeb90d19d2bd6b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#aba0bac746ee2186d3adeb90d19d2bd6b">updateRefreshLabel</a> (self, val)</td></tr>
<tr class="memdesc:aba0bac746ee2186d3adeb90d19d2bd6b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Met à jour l'affichage de la valeur du délai de rafraichissement.  <a href="classsrc_1_1preferences_1_1preferenceWindow.html#aba0bac746ee2186d3adeb90d19d2bd6b">Plus de détails...</a><br /></td></tr>
<tr class="separator:aba0bac746ee2186d3adeb90d19d2bd6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeb39c38ba1cb95325e4f3c16ada4bea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#adeb39c38ba1cb95325e4f3c16ada4bea">values</a> (self)</td></tr>
<tr class="separator:adeb39c38ba1cb95325e4f3c16ada4bea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769c0b1ff152e03eb264e4f57b7c7f0d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#a769c0b1ff152e03eb264e4f57b7c7f0d">setValues</a> (self, prefs)</td></tr>
<tr class="memdesc:a769c0b1ff152e03eb264e4f57b7c7f0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Met en place les préférences dans le dialogue.  <a href="classsrc_1_1preferences_1_1preferenceWindow.html#a769c0b1ff152e03eb264e4f57b7c7f0d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a769c0b1ff152e03eb264e4f57b7c7f0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:af7a2fbdcb8ebf5f8d25c41719c99c8b5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html#af7a2fbdcb8ebf5f8d25c41719c99c8b5">ui</a></td></tr>
<tr class="separator:af7a2fbdcb8ebf5f8d25c41719c99c8b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00028">28</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a9de79a74e797b66e0b8bb5b9c9623ca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9de79a74e797b66e0b8bb5b9c9623ca0">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.preferences.preferenceWindow.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00032">32</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a94ae27a9793076be2f4295cb3fff8769"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94ae27a9793076be2f4295cb3fff8769">&#9670;&nbsp;</a></span>enableDelay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.preferences.preferenceWindow.enableDelay </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>active ou désactive le glisseur pour modifier le délai de rafraichissement </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>l'état coché ou décoché de la boîte qui contrôle le rafraichissement </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00042">42</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<a id="a769c0b1ff152e03eb264e4f57b7c7f0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a769c0b1ff152e03eb264e4f57b7c7f0d">&#9670;&nbsp;</a></span>setValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.preferences.preferenceWindow.setValues </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>prefs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Met en place les préférences dans le dialogue. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">prefs</td><td>un dictionnaire de préférences </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00071">71</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<a id="aba0bac746ee2186d3adeb90d19d2bd6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba0bac746ee2186d3adeb90d19d2bd6b">&#9670;&nbsp;</a></span>updateRefreshLabel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.preferences.preferenceWindow.updateRefreshLabel </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Met à jour l'affichage de la valeur du délai de rafraichissement. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">val</td><td>un nombre entier qui exprime le délai en secondes </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00049">49</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<a id="adeb39c38ba1cb95325e4f3c16ada4bea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adeb39c38ba1cb95325e4f3c16ada4bea">&#9670;&nbsp;</a></span>values()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.preferences.preferenceWindow.values </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>un dictionnaire de préférences </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00058">58</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="af7a2fbdcb8ebf5f8d25c41719c99c8b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7a2fbdcb8ebf5f8d25c41719c99c8b5">&#9670;&nbsp;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.preferences.preferenceWindow.ui</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="preferences_8py_source.html#l00035">35</a> du fichier <a class="el" href="preferences_8py_source.html">preferences.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="preferences_8py_source.html">preferences.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1preferences.html">preferences</a></li><li class="navelem"><a class="el" href="classsrc_1_1preferences_1_1preferenceWindow.html">preferenceWindow</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
